Checkbox with descriptive label and help link.

This is used to build HTML code by using objects.

package | metaHTML

### Methods

## Constructor.

    __construct(String $name, boolean $checked, String $label, String $helpID, boolean $labelFirst)

### Parameters

#### $name

`String`

unique name

#### $checked

`boolean`

checked

#### $label

`String`

descriptive label

#### $helpID

`String`

help ID

#### $labelFirst

`boolean`

specifies if the label is at the beginning or at the end (optional, default beginning)

## Prints the HTML code for this element.

    generateHTML(string $module, array $input, array $values, boolean $restricted, integer $tabindex, string $scope) : array

### Parameters

#### $module

`string`

Name of account module

#### $input

`array`

List of meta-HTML elements

#### $values

`array`

List of values which override the defaults in $input (name => value)

#### $restricted

`boolean`

If true then no buttons will be displayed

#### $tabindex

`integer`

Start value of tabulator index for input fields

#### $scope

`string`

Account type

### Returns

`array`List of input field names and their type (name => type)

## Returns the HTML attributes for the alignment.

    getAlignmentString() : String

Inherited

inherited_from | \htmlElement::getAlignmentString()
inherited_from | \htmlInputCheckbox::getAlignmentString()

### Returns

`String`alignment HTML attributes (e.g. align="right" valign="top")

## Returns the HTML attribute for the colspan.

    getColspanString() : String

Inherited

inherited_from | \htmlElement::getColspanString()
inherited_from | \htmlInputCheckbox::getColspanString()

### Returns

`String`colspan HTML attribute (e.g. colspan=3)

## Returns the HTML attribute for the rowspan.

    getRowspanString() : String

Inherited

inherited_from | \htmlElement::getRowspanString()
inherited_from | \htmlInputCheckbox::getRowspanString()

### Returns

`String`rowspan HTML attribute (e.g. rowspan=3)

## Returns the CSS classes of the surrounding table cell for this element.

    getTableCellCSSClasses() : array

Inherited

inherited_from | \htmlElement::getTableCellCSSClasses()
inherited_from | \htmlInputCheckbox::getTableCellCSSClasses()

### Returns

`array`CSS classes

## Adds CSS classes to this element.

    setCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setCSSClasses()
inherited_from | \htmlInputCheckbox::setCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## Specifies if this component is enabled and accepts user modification.

    setIsEnabled(boolean $isEnabled)

Inherited

inherited_from | \htmlInputCheckbox::setIsEnabled()

### Parameters

#### $isEnabled

`boolean`

enabled if true

## Adds CSS classes to the surrounding table cell for this element.

    setTableCellCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setTableCellCSSClasses()
inherited_from | \htmlInputCheckbox::setTableCellCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## This will hide the given table rows when the checkbox is checked.

    setTableRowsToHide(array $tableRowsToHide)

Inherited

The given IDs can be of any e.g. input element. Starting from this element the first parent "

" element will be used to show/hide.
Example:
Using "mycheckbox" will use this "tr" to hide/show.

inherited_from | \htmlInputCheckbox::setTableRowsToHide()

### Parameters

#### $tableRowsToHide

`array`

IDs of child elements to hide

## This will show the given table rows when the checkbox is checked.

    setTableRowsToShow(array $tableRowsToShow)

Inherited

The given IDs can be of any e.g. input element. Starting from this element the first parent "

" element will be used to show/hide.
Example:
Using "mycheckbox" will use this "tr" to hide/show.

inherited_from | \htmlInputCheckbox::setTableRowsToShow()

### Parameters

#### $tableRowsToShow

`array`

IDs of child elements to show

## Specifies that the value should not be automatically saved when used in self service or server profile (default: false).

    setTransient(boolean $transient)

Inherited

inherited_from | \htmlInputCheckbox::setTransient()

### Parameters

#### $transient

`boolean`

transient field

### Properties

## alignment when inside a table

    $alignment

Inherited

inherited_from | \htmlElement::$$alignment
inherited_from | \htmlInputCheckbox::$$alignment

## colspan if inside a table

    $colspan

Inherited

inherited_from | \htmlElement::$$colspan
inherited_from | \htmlInputCheckbox::$$colspan

## rowspan if inside a table

    $rowspan

Inherited

inherited_from | \htmlElement::$$rowspan
inherited_from | \htmlInputCheckbox::$$rowspan

## value

    $checked

Inherited

inherited_from | \htmlInputCheckbox::$$checked

## CSS classes

    $cssClasses

Inherited

inherited_from | \htmlElement::$$cssClasses
inherited_from | \htmlInputCheckbox::$$cssClasses

## enabled or disabled

    $isEnabled

Inherited

inherited_from | \htmlInputCheckbox::$$isEnabled

## unique name of input element

    $name

Inherited

inherited_from | \htmlInputCheckbox::$$name

## table cell CSS classes

    $tableCellCssClasses

Inherited

inherited_from | \htmlElement::$$tableCellCssClasses
inherited_from | \htmlInputCheckbox::$$tableCellCssClasses

## list of enclosing table rows to hide when checked

    $tableRowsToHide

Inherited

inherited_from | \htmlInputCheckbox::$$tableRowsToHide

## list of enclosing table rows to show when checked

    $tableRowsToShow

Inherited

inherited_from | \htmlInputCheckbox::$$tableRowsToShow

## help ID

    $helpID

## descriptive label

    $label

## specifies if label is printed before the checkbox

    $labelFirst

## indicates that this field should not automatically be saved in the self service or server profile

    $transient

Inherited

inherited_from | \htmlInputCheckbox::$$transient

### Constants

## align to bottom

    ALIGN_BOTTOM

Inherited

inherited_from | \htmlElement::ALIGN_BOTTOM
inherited_from | \htmlInputCheckbox::ALIGN_BOTTOM

## align to center

    ALIGN_CENTER

Inherited

inherited_from | \htmlElement::ALIGN_CENTER
inherited_from | \htmlInputCheckbox::ALIGN_CENTER

## align to left

    ALIGN_LEFT

Inherited

inherited_from | \htmlElement::ALIGN_LEFT
inherited_from | \htmlInputCheckbox::ALIGN_LEFT

## align to right

    ALIGN_RIGHT

Inherited

inherited_from | \htmlElement::ALIGN_RIGHT
inherited_from | \htmlInputCheckbox::ALIGN_RIGHT

## align to top

    ALIGN_TOP

Inherited

inherited_from | \htmlElement::ALIGN_TOP
inherited_from | \htmlInputCheckbox::ALIGN_TOP

## validation rule to allow only numbers ([0-9]+)

    VALIDATE_NUMERIC

Inherited

inherited_from | \htmlElement::VALIDATE_NUMERIC
inherited_from | \htmlInputCheckbox::VALIDATE_NUMERIC